<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
</head>

<body>

    <script>
        function checaIdade(idade) {
            // Retornar uma promise
            return new Promise(function (resolve, reject) {
                if (idade >= 18) {
                    resolve();
                } else {
                    reject();
                }
            })
        }
        checaIdade(20)
            .then(function () {
                console.log("Maior que 18");
            })
            .catch(function () {
                console.log("Menor que 18");
            });
    </script>
</body>

</html>